%define realname extractor

%define major 3
%define common_major 0
%define libname %mklibname %{realname} %{major}
%define libcommon %mklibname extractor_common %{common_major}
%define libnamedev %mklibname %{realname} -d

Summary:	Libextractor library used to extract meta-data from files
Name:		libextractor
Version:	0.6.3
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.gnunet.org/libextractor/
Source0:	http://ftpmirror.gnu.org/libextractor/%{name}-%{version}.tar.gz
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgsf-devel
BuildRequires:	libexiv-devel
BuildRequires:	librpm-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(poppler)

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	extract
Summary:	Show meta-data from files of arbitrary type
Group:		File tools
Conflicts:	%{_lib}extractor1 < 0.5.19a-2
Obsoletes:	libextractor < 0.6.2-6
Provides:	libextractor = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n extract
libextractor is a library used to extract meta-data from files of arbitrary
type.

This package provides the command-line extrcation tool.

%package	common
Summary:	Common files for libextractor
Group:		System/Libraries
Conflicts:	libextractor < 0.6.2-6

%description	common
This package provides common files needed by the libextractor library.

%package -n	%{libname}
Summary:	Libextractor library used to extract meta-data from files 
Group:		System/Libraries
Conflicts:	%{mklibname -d extractor 1} < 0.5.19a-2
Requires:	%{name}-common >= %{version}-%{release}

%description -n	%{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	%{libcommon}
Summary:        Libextractor library for common functions
Group:          System/Libraries

%description -n	%{libcommon}
Common function library of libextractor.

%package -n	%{libnamedev}
Summary:	Libextractor library headers and development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcommon} = %{version}-%{release}
Provides:	libextractor-devel = %{version}-%{release}
Provides:	extractor-devel = %{version}-%{release}
Obsoletes:	%mklibname -d extractor 1
Conflicts:	libextractor < 0.6.2-6

%description -n	%{libnamedev}
Development files and headers for libextractor.

%prep
%setup -q 

%build
%configure2_5x --disable-static \
	--disable-rpath \
	--enable-exiv2 \
	--disable-ffmpeg \
	--with-plugindirname=%{name}%{major}

make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%find_lang %{name}

%post -n extract
%_install_info extractor

%preun -n extract
%_remove_install_info extractor

%files -n extract
%{_bindir}/extract
%{_mandir}/man1/extract.*
%{_infodir}/extractor.info.*

%files common -f %{name}.lang

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}%{major}

%files -n %{libcommon}
%{_libdir}/%{name}_common.so.%{common_major}*

%files -n %{libnamedev}
%{_libdir}/%{name}.so
%{_libdir}/%{name}_common.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/libextractor.*


%changelog

* Sun Jan 15 2012 fwang <fwang> 0.6.3-1.mga2
+ Revision: 196396
- new version 0.6.3

* Fri Oct 28 2011 fwang <fwang> 0.6.2-10.mga2
+ Revision: 158954
- rebuild for new poppler

* Sun Oct 09 2011 fwang <fwang> 0.6.2-9.mga2
+ Revision: 153409
- rebuild for new exiv2

* Tue Sep 27 2011 ovitters <ovitters> 0.6.2-8.mga2
+ Revision: 149406
- rebuild for new poppler

* Wed Sep 21 2011 fwang <fwang> 0.6.2-7.mga2
+ Revision: 146394
- drop .la files

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Fri May 13 2011 anssi <anssi> 0.6.2-6.mga1
+ Revision: 97789
- drop rpm5.patch to restore compatibility with rpm.org
- drop binary rpm libextractor, moving its contents as follows:
  o extract binary, its manpage, and info doc to a new package "extract"
  o development man page to devel package
  o libextractor localization to a new libextractor-common package
- remove unneeded buildrequire on glib-devel
- add a buildrequire on poppler-devel
- imported package libextractor

